import { Image } from "@tarojs/components";
import { ECharacterAISTATUS } from "@/types/index";
import { useCharacterAIStore } from "@/store/characterAIStore";
import style from '../../index.module.less'
export default () => {
  const AIStatus = useCharacterAIStore((state) => state.status);
  if (AIStatus === ECharacterAISTATUS.THINKING) {
    return (
      <Image
        mode="widthFix"
        className={style.AIStatus}
        src='https://cdn.wehome.cn/cmn/gif/56/META-H8UKYHWU-E9EPKMQUBSVOJ4T4NHO63-LPH8X92M-NI.gif'
      />
    );
  }
  if (AIStatus === ECharacterAISTATUS.RESPONDING) {
    return (
      <Image
        mode="widthFix"
        className={style.AIStatus}
        src='https://cdn.wehome.cn/cmn/gif/52/META-H8UK1IWU-R9EPMWD4CDA7Y5NKEQSM2-EPXFX92M-EI.gif'
      />
    );
  }
  return <></>
}