import {useMemo} from 'react'
import CustomShare from '@/components/custom-share/index';
import { ICharacter } from '@/types/index'

interface Props {
  character: ICharacter | null;
}
const CustomShareComponent = (props: Props) => {
  const { character } = props;
  const renderedComponent = useMemo(() => {
    if (!character) {
      return null;
    }
    return <CustomShare character={character} />;
  }, [character]);

  return renderedComponent;
};

export default CustomShareComponent
