import { View } from '@tarojs/components'
import { useAppStore } from '@/store/appStore'
import style from './index.module.less'
interface Props {
  children?: React.ReactChild | React.ReactChild[];
  center?: boolean;
}
export default function Index({ children, center=false }: Props) {
  const statusBarHeight = useAppStore.getState().statusBarHeight

  return (
    <View className={style.navBarContainer} style={{top: statusBarHeight}}>
      <View className={style.navBar}>
        <View className={`flex flex-1 ${center ? 'justify-center' : ''}`}>{children}</View>
        <View className={style.rightButton}></View>
      </View>
    </View>
  )
}
