import { View } from "@tarojs/components";
import React from "react";
import PageWrapper from "../page-wrapper/index";
import { useAppStore } from "@/store/appStore";

interface Props {
  children?: React.ReactChild | React.ReactChild[];
  bgColor?: string;
  isflex?: boolean; // 有横向滚动的scroll-view 容器不能包裹在 flex comlumn 布局中
  style?: React.CSSProperties;
  paddingTop?: number;
}

const Index: React.FC<Props> = ({ children, isflex = true, paddingTop, style }) => {
  const headerHeight = useAppStore((state) => state.headerHeight);
  const flexStyle = isflex ? "flex flex-col items-center" : "";
  return (
    <PageWrapper style={style}>
      <View
          className={`${flexStyle} min-h-screen w-full`}
          style={{ paddingTop: paddingTop ?? headerHeight }}
        >
          {children}
        </View>
    </PageWrapper>
  );
};

export default Index;
