/**
 * 用于 page 根目录的样式等设置
 */
import { View, Image } from "@tarojs/components";
import React from "react";
import pageStyle from "./index.module.less";
import PopupVip from '@/components/popup/popup-vip/index'
import PopupTips from '@/components/popup/popup-tips'
import { useAppStore } from "@/store/appStore";
interface Props {
  children?: React.ReactChild | React.ReactChild[];
  style?: React.CSSProperties;
}

const Index: React.FC<Props> = ({ children, style }) => {
  // 是否提示非移动端打开小程序
  const desktopPopupVisible = useAppStore((state)=> state.desktopPopupTips)
  const vipPopupVisible = useAppStore((state)=> state.vipPopupVisible)
  // 全局控制显示 vip 提示
  const {setVipPopupVisible} = useAppStore()


  //  盖在背景上面的是视口高度的 渐变色
  return (
    // ${!style ? "global-gray-bg" : ""} 
    <View className={`relative font-normal text-14 leading-22`}>
      {/* vip 提示 */}
      {/* <PopupVip show={vipPopupVisible} onClose={()=> setVipPopupVisible(false)}></PopupVip> */}

      {/* 桌面端提示 */}
      {/* <PopupTips show={desktopPopupVisible} onClose={()=> {}} contentStyle={{background:'white'}}>
        <Image src='https://cdn.wehome.cn/cmn/png/134/META-H8UKWHWU-KIWQFXN9CWIKI7PA148U3-CF713F5M-WX1.png' mode="widthFix" className="w-full mt-20 mb-20"></Image>
        <View>桌面端暂不支持</View>
        <View>请用手机微信继续体验</View>
      </PopupTips> */}
      {/* bg 背景图 */}
      <View style={style} className={pageStyle.bg}></View>
      {/* cover 背景图覆盖从上至下渐变 */}
      <View className={`global-linear-gradient-bg ${pageStyle.bgVerticalGradient}`}></View>
      {/* fillBgRest 背景图100vh 视口高度以下填充颜色  */}
      {/* <View className={pageStyle.fillBgRest}></View> */}
      <View className="relative z-0">{children}</View>
    </View>
  );
};

export default Index;
