import { View, Image } from "@tarojs/components"
import style from './index.module.less'
import closeIcon from '@/images/icon-close-8.png';
interface Props {
  title?: string
  setShow: (show: boolean)=>void
  show: boolean,
  children?: JSX.Element|JSX.Element[]
}
export default ({title = '', show, setShow, children}:Props)=> {
  
  return <>
    {show && <View
      className={style.popup}
    >
      <View className={`${style.container}`}>
        <View className={style.content}>
          {children}
        </View>
        <View className={style.footer}>
          <View className="button-rounded-mini" onClick={()=> setShow(false)}>确定</View>
        </View>
      </View>
   </View>}
  </>
}