import { Image,View } from "@tarojs/components"
import style from './index.module.less'
import { useAppStore } from "@/store/appStore";
import PopupTips from '@/components/popup/popup-tips'
interface Props{
  show: boolean
  onClose: ()=> void
}
export default ({ show, onClose }:Props)=> {
  const appConfig = useAppStore((state) => state.appConfig);
  if(show && appConfig){
    return (
      <PopupTips show={show} onClose={onClose} >
        <View className={style.figureContainer}>
            <View className={`popup-close-button ${style.closeButton}`} onClick={onClose}></View>
            <Image showMenuByLongpress className={style.figure} src={`${appConfig.wxOaQrCode}?t=1`} mode="widthFix"></Image>
            {/* <View className={style.content}>由于相关规范，ios 设备该功能暂时不可用，长按扫描二维码跳转官方充值渠道</View> */}
            <View className={style.content}>
              <View>扫描二维码</View>
              <View>跳转前往公众号进行服务升级</View>
            </View>
          </View>
      </PopupTips>
    )
  }
  
  return <>
  </>
}