import { View, Image } from "@tarojs/components"
import style from './index.module.less'
import closeIcon from '@/images/icon-close-8.png';
import { useEffect, useState } from "react";
interface Props {
  title?: string
  setShow: (show: boolean)=>void
  show: boolean,
  children?: JSX.Element|JSX.Element[]
}
export default ({title = '', show, setShow, children}:Props)=> {
  const [slideUp, setSlideUp] = useState(false)
  const handleClose = (b: boolean) => {
    setSlideUp(false)
    setTimeout(()=> {
      setShow(b)  
    }, 100)
  }

  useEffect(()=> {
    if(show){
      setTimeout(()=> {
        setSlideUp(true)
      }, 100)  
    }
    
  }, [show])
  
  return <>
    {show && <View
      className={style.popup}
    >
      <View className={`${style.container} ${slideUp ? style.show : ''}`}>
        <View className={style.titleBar}>
          <View className={style.title}>{title}</View>
          <View className={style.closeButton} onClick={()=>handleClose(false)}>
            <Image src={closeIcon} mode="widthFix" className={style.closeIcon} />
          </View>
        </View>
        <View className={style.content}>
          {children}
        </View>
      </View>
   </View>}
  </>
}