import {View} from '@tarojs/components'
import { useState } from 'react'
import style from './index.module.less'
interface Props {
  show?: boolean
  children: React.ReactChild | React.ReactChild[]
  footer?: boolean
  onCancel?: () => void
  onConfirm?: () => void
}
const index = ({show = false, children, onConfirm, onCancel, footer = true}: Props) => {
  
  const handleConfirm = () => {
    onConfirm && onConfirm()
  }
  const handleCancel = () => {
    onCancel && onCancel()
  }
  const renderFooter = () => {
    return <>
      <View className={style.footer}>
        <View className={style.footerButton} onClick={handleCancel}>取消</View>
        <View className={`${style.footerButtonPrimary}`} onClick={handleConfirm}>添加</View>
      </View>
    </>
  }

  const renderModal = ()=> {
    if(show){
      return (<View className={style.container}>
        <View className={style.modalContent}>
          <View className={style.content}>
            {children}
          </View>
          {renderFooter()}
        </View>
      </View> 
      ) 
    }
  }
  return <>
    {renderModal()}
  </>
}
export default index