import { View, Swiper, SwiperItem, Image } from "@tarojs/components";
import React, { useEffect, useState } from "react";
import style from "./index.module.less";
import IconStarColor from "@/components/icon/icon-star-color";
interface IProps {
  prev: ()=>void
  next: ()=>void
}
export default React.memo(function Index({prev, next}:IProps) {
  const [currentSwiperIndex, setCurrentSwiperIndex] = useState(0);
  const characters = [1, 2];
  const onSwiperChange = (e: any) => {
    const i = e.detail.current;
    setCurrentSwiperIndex(i);
  };
  useEffect(()=> {
    console.log('helloworldrendeer')
  }, [])
  const renderIndicator = (currentIndex: number) => {
    return (
      <>
        <View className={style.indicatorContainer}>
          {characters.map((_item, index) => {
            return (
              <View
                key={index}
                className={
                  index === currentIndex
                    ? `${style.indicator} ${style.indicatorActive}`
                    : style.indicator
                }
              ></View>
            );
          })}
        </View>
      </>
    );
  };

  return (
    <View>
      <View className={style.pickContainer}>
        {/* <View className={`${style.pickAvatarCard} ${style.pickGenCard}`}>
          <View className="flex items-center gap-4">
            <IconStarColor></IconStarColor> <View className="gradient-text">AI生成中</View>
          </View>
        </View> */}

        <View className={`${style.pickAvatarCard}`}>
          <Swiper
            className={style.mySwiper}
            indicatorColor="#999"
            indicatorActiveColor="#333"
            indicatorDots={false}
            duration={200}
            next-margin="-120rpx"
            current={currentSwiperIndex}
            onChange={(e) => onSwiperChange(e)}
          >
            <SwiperItem>
            <View className={style.swiperItem}>
              <Image
                mode="widthFix"
                src="https://cdn.wehome.cn/cmn/png/53/META-H8UKWHWU-2JNUAG2BARJF55VHU9QS3-YBQGHDAM-IW.png"
              ></Image>
              </View>
            </SwiperItem>
            
            <SwiperItem>
              <View className={style.swiperItem}>
                <Image
                  mode="widthFix"
                  src="https://cdn.wehome.cn/cmn/png/53/META-H8UKWHWU-2JNUAG2BARJF55VHU9QS3-YBQGHDAM-IW.png"
                ></Image>
                <View className={style.pickAvatarOriginal}>
                  <View>原图</View>
                </View>
              </View>
            </SwiperItem>
          </Swiper>
          {/* <!-- 自定义指示点容器 --> */}
          {renderIndicator(currentSwiperIndex)}
        </View>
      </View>

      <View className="bottom-bar">
        <View className="grid grid-cols-2 gap-8 px-20 py-12">
          <View className={`button-rounded`} onClick={prev}>上一步</View>
          <View className={`button-rounded primary opacity-20`} onClick={next}>使用这张</View>
        </View>
      </View>
    </View>
  );
});
