import { View,Text } from "@tarojs/components";
import React, { useState, useCallback, useEffect } from "react";
import style from './index.module.less'
import IconChange from "@/components/icon/icon-change";
import IconStar from "@/components/icon/icon-star";
import WemetaTextarea from "@/components/wemeta-textarea/index";

interface IProps {
  next: ()=>void
}

export default React.memo(function StepStart({ next }: IProps) {
  const [value, setValue] = useState("");
  
  console.log('StepStart render', { value });

  useEffect(() => {
    console.log('StepStart mounted/updated');
  });

  const handleInput = useCallback((value: string) => {
    setValue(value);
  }, []);

  const handleClick = useCallback(() => {
    next();
  }, [next]);

  return (
    <View>
      <View className={style.startContainer}>
        <View className={style.startCard}>
          <View className={style.startIconChange}>
            <IconChange />
          </View>
        </View>
      </View>
      <View className="mb-24">
        <View className="text-14 font-medium text-black mb-10">创意描述<Text className="text-12 text-gray-45">(非必填)</Text></View>
        <WemetaTextarea
          value={value}
          onInput={handleInput}
          placeholder="描述你想要生成的画面和动作。例如：职场精英在点头微笑"
        />
      </View>
      <View className="bottom-bar">
        <View className="px-20 py-12">
          <View className={`button-rounded-big gap-4 ${style.startGenButton}`} onClick={handleClick}>
            <IconStar />
            <View>生成微视频</View>
          </View>
        </View>
      </View>
    </View>
  );
});
