import NavBarNormal from "@/components/nav-bar-normal/index";
import { View } from "@tarojs/components";
import PageCustom from "@/components/page-custom/index";
import { useState, useCallback } from "react";
import StepStart from './components/step/StepStart'
import StepPick from "./components/step/StepPick";
import StepConfirm from "./components/step/StepConfirm";

type TStep = 'start'|'pick'|'confirm'

export default function Index() {
  const [state, setState] = useState<TStep>('confirm')
  
  const getClassName = useCallback((_state: TStep) => {
    return state === _state ? 'block': 'hidden'
  }, [state]);

  const gotoStart = useCallback(() => {
    setState('pick')
  }, []);

  const gotoPick = useCallback(() => {
    setState('confirm')
  }, []);

  const gotoConfirm = useCallback(() => {
    setState('start')
  }, []);

  return (
    <PageCustom>
      <NavBarNormal backText="形象照"></NavBarNormal>
      <View className="px-16 w-full flex flex-col gap-20">
        <View className={getClassName('start')}>
          <StepStart next={gotoStart}/>
        </View>
        <View className={getClassName('pick')}>
          <StepPick 
            prev={gotoConfirm} 
            next={gotoPick} 
          />
        </View>
        <View className={getClassName('confirm')}>
          <StepConfirm 
            prev={gotoStart}  
          />
        </View>
      </View>
    </PageCustom>
  );
}
