import { View } from "@tarojs/components"
import style from './index.module.less'
import IconPlusBig from "@/components/icon/icon-plus-big"
import Taro from "@tarojs/taro";
export default ()=> {
  const maxAvatarVideoSize = 10
  // const maxAvatarVideoSize = useAppStore((state) => state.appConfig?.maxAvatarVideoSize); // unit MB
  let isUploading = false
  const handleClick = () => {
    Taro.chooseMedia({
      count: 1,
      mediaType: ["image"],
      sourceType: ["album", "camera"],
      async success(r) {
        const tempFile = r.tempFiles[0]
        const tmpPath = tempFile.tempFilePath;
        if (maxAvatarVideoSize && tempFile.size > maxAvatarVideoSize * 1024 * 1024) {
          Taro.showToast({
            title: `文件不能超过${maxAvatarVideoSize}MB`,
            icon: 'none'
          });
          return;
        }
        
        // setAvatarUrl(tmpPath);
        if(r.type === 'image'){
          Taro.cropImage({
            src: tmpPath,
            cropScale: "4:3",
            success: async (res) => {
              const path = res.tempFilePath;
              console.log(path)
              Taro.showLoading()
              Taro.navigateTo({
                url: '/pages/agent-gen/index'
              })
              // const response = await uploadImage(path);
              // processChooseResult(response)
            },
          });
        }
      },
    });
  }
  return(
    <View className={style.container}>
      <View className={style.card} onClick={handleClick}>
      <View className={style.tips}>
        <View className={style.icon}>
          <IconPlusBig></IconPlusBig>
        </View>
        <View className={style.tipsText}>形象照</View>
      </View>
      </View>
    </View>
  )
}