
import { View } from '@tarojs/components'

import TagCertificated from "@/components/tag-certificated";
import IconCertificateColor from "@/components/icon/icon-certificate-color";
interface IProps {
  size?: 'mini'|'large'
}
export default ({size='large'}:IProps) => {
  const renderContent = () => {
    if(size === 'mini'){
    return <>
      <View className="rounded-full overflow-hidden w-28 h-28 bg-black-6">
        </View>
        <View className="flex flex-col flex-1 gap-4">
          <View className="flex items-end gap-4">
            <View className="text-12 font-medium leading-12">张三</View>
            <View className="text-12 leading-12"><IconCertificateColor/></View>
          </View>
          <View className="flex items-center gap-2">
            <View className="text-gray-45 text-12 leading-12 truncate max-w-[180px]">
              北京茗视光眼科医院管理有限公司
            </View>
          </View>
        </View>
    </>
    }
    return <>
      <View className="rounded-full overflow-hidden w-60 h-60 bg-black-6">
        </View>
        <View className="flex flex-col flex-1">
          <View className="flex items-end gap-8">
            <View className="text-24 font-medium leading-32">张三</View>
            <View className="text-12 leading-20">销售医师</View>
          </View>
          <View className="flex items-center gap-2">
            <View className="text-12 leading-20 truncate max-w-[188px]">
              北京茗视光眼科医院管理有限公司
            </View>
            <TagCertificated />
          </View>
        </View>
    </>
  }
  return (
    <View className="flex items-center gap-8">
      {renderContent()}
    </View>
  )
}