import { View } from "@tarojs/components";
import style from "./index.module.less";
import CompItem, { CompType } from "./components/comp-item/compItem";
import Taro from "@tarojs/taro";
import { SocialMediaType } from "@/consts/socialMedia";
import { useComponentStore } from "@/store/componentStore";
import { useCurrentCharacter } from "@/store/characterStore";

import CardList from "@/components/list/card-list";
import CardListItem from "@/components/list/card-list-item";
import { useState } from "react";

export default () => {
  // const character = useCurrentCharacter();
  


  const [commonWidget, setCommonWidget] = useState([
    {type: CompType.title, num: 0, text: '章节标题'},
    {type: CompType.link, num: 0, text: '链接'},
    {type: CompType.image, num: 0, text: '图片/视频'},
    {type: CompType.tel, num: 0, text: '电话'},
    {type: CompType.local, num: 0, text: '地图'},
    {type: CompType.bluenote, num: 0, text: '小蓝本'},
  ])
  
  const [wechatWidget, setWechatWidget] = useState([
    {type: CompType.wechat, num: 0, text: '微信公众号'},
    {type: CompType.shiping, num: 0, text: '视频号'},
    {type: CompType.miniProgram, num: 0, text: '小程序'},
    {type: CompType.shipingVideo, num: 0, text: '视频号视频'},
  ])

  const handleChange = (num: number, type: string) => {
    console.log(num, type)
    setCommonWidget(prevArr => 
      prevArr.map(item => 
        item.type === type ? { ...item, num } : item
      )
    );
  };

  return (
    <View className={`global-gray-bg ${style.container}`}>
      <View className={style.compComtainer}>
        <View className={style.title}>通用组件</View>
        <CardList>
          {commonWidget.map((item)=> {
            return <CardListItem>
            <View className="px-16 py-16">
              <CompItem
                num={item.num}
                onChange={handleChange}
                type={item.type}
              >
                {item.text}
              </CompItem>
            </View>
          </CardListItem>
          })}
        </CardList>
      </View>

      <View className={`${style.compComtainer} mb-130`}>
        <View className={style.title}>微信组件</View>
        <CardList>
          {wechatWidget.map((item)=> {
            return <CardListItem>
            <View className="px-16 py-16">
              <CompItem
                num={item.num}
                onChange={handleChange}
                type={item.type}
              >
                {item.text}
              </CompItem>
            </View>
          </CardListItem>
          })}
        </CardList>
      </View>

      <View className="bottom-bar">
        <View className="px-20 pt-12">
          <View className="button-rounded-big">添加组件</View>
        </View>
      </View>
    </View>
  );
};
