import { View, Image } from '@tarojs/components'
import style from './index.module.less'
import { IContactModel } from '@/types/index'
import Taro from '@tarojs/taro'
import { delContact } from "@/service/contact";
interface Props {
  data: IContactModel
  deleteable?: boolean
  refresh: () => void
  fromContact?: boolean
}
const Index = ({data, deleteable, refresh, fromContact}: Props)=> {
  const handleClick = (data: IContactModel)=>{
    console.log(data, fromContact)
    if(fromContact){
      Taro.navigateTo({url: '/pages/profile/index?fromContact=true&profileId='+data.contactProfileId})
      return   
    }
    Taro.navigateTo({url: '/pages/profile/index?profileId='+data.contactProfileId})
  }
  const handleLongPress = (e, profileId: string) => {
    console.log("longpress");
    if(!deleteable){
      return;
    }
    e.stopPropagation();
    Taro.showModal({
      content: "😭 确认删除该联系人吗？",
      async success(result) {
        if (result.confirm) {
          await delContact(profileId);
          refresh();
        }
      },
    });
  };

  return (
    <View className={style.contactCard} onClick={()=>{handleClick(data)}} onLongPress={(e) => handleLongPress(e, data.contactProfileId)}>
      <View className={style.avatar}>
      {data.avatar && <Image src={data.avatar} mode="aspectFill" className={style.avatar}></Image>}
      </View>
      <View className={style.infoColumn}>
        <View className={style.nameRow}>
          <View className={style.nickName}>{data.name}</View>
          {data.badges?.map(item=><View className={style.nameMarkup}>{item}</View>)}
        </View>
        <View className={style.subInfo}>{data.company}</View>
          <View className={style.subInfo}>{data.job}</View>
      </View>
    </View>
  )
}

export default Index