import { View } from "@tarojs/components";
import WemetaTextarea from "@/components/wemeta-textarea/index";
import { useState } from "react";
interface Props {
  title: string
  placeholder?: string
  value: string
  cursorSpacing?: number
  maxlength?: number
  bgColor?: string
  key: string,
  extra?: () => JSX.Element | JSX.Element[] | undefined
  onAdd: (value: string) => void
  onBlur?: () => void
}
export default ({
  value,
  title,
  placeholder = "请输入...",
  onBlur,
  maxlength = 10000,
  key,
  onAdd,
}: Props) => {
  const [text, setText] = useState(value)
  const handleAdd = () => {
    onAdd(text)
  }
  
  return (
    <>
      <View className="text-16 leading-32 font-medium text-black pl-4 py-8 mb-8">{title}</View>
      <View className="flex flex-col gap-16">
        <WemetaTextarea
          value={text}
          onInput={(value: any) => setText(value)}
          onBlur={onBlur}
          placeholder={placeholder}
          cursorSpacing={100}
          maxlength={maxlength}
          bgColor='#F5F6F7'
        />
        <View className="button-rounded-big" onClick={handleAdd}>添加</View>
      </View>
    </>
  );
};
