import { View } from '@tarojs/components'
import style from './index.module.less'
import IconArrow from '@/components/icon/icon-arrow/index'
import { useState } from 'react';
interface Props {
  isFold?: boolean
  dataList: string[];
  deleteFunc: (item: string)=> void;
}
export default ({dataList, deleteFunc, isFold = false}: Props)=> {
  const [fold, setFold] = useState(isFold)
  return <>
    <View className={style.foldedBar} onClick={()=> setFold(!fold)}>
      <View className={style.foldedTitle}>已添加 {dataList.length} 个</View>
      <IconArrow></IconArrow>
    </View>
    <View className={style.list} style={{height: fold ? '0px': 'max-content'}}>
      {dataList.map((item, index)=> {
        return <View className={style.listItem}>
          <View className={style.num}>{index+1}</View>
          <View className={style.text}>{item}</View>
          <View className={`iconfont icon-icon_24_delet icon-24 ${style.deleteButton}`}  onClick={()=> deleteFunc(item)}></View>
        </View>
      })}
    </View>
  </>
}