/**
 * 对话
 */

import { View } from '@tarojs/components'
import { useRef, useState, } from 'react'

import NavBarNormal from '@/components/nav-bar-normal/index'
import PageCustom from '@/components/page-custom/index'
import WemetaTabs from '@/components/wemeta-tabs/index'

import { useCharacterStore } from "@/store/characterStore"
import Taro, { useLoad } from '@tarojs/taro'
import editorStyle from '../editor.module.less'
import EditCharacter, { IChatBasicComponent } from './components/edit-character/index'
import EditRule from './components/edit-rule/index'


export default function Index () {
  const $instance = Taro.getCurrentInstance();
  const { profileId } = $instance.router?.params || {};
  const { fetchCharacter } = useCharacterStore();
  const currentCharacter = useCharacterStore((state)=> state.character);

  const [value, setValue] =  useState(currentCharacter);
  const chatBasicRef = useRef<IChatBasicComponent>(null)

  const handleNavBack = ()=> {
    if (chatBasicRef.current) {
      // chatBasicRef.current.save(); // 调用子组件的保存方法
      profileId && fetchCharacter(profileId)
    }
  }

  const tabList = [
    {
      key: '1',
      label: '基础',
      children: <View>{value && <EditCharacter ref={chatBasicRef} value={value} setValue={setValue}></EditCharacter>}</View>
    },
    // {
    //   key: '2',
    //   label: '声音',
    //   children: (
    //     <View>{value && <EditVoice value={value} />}</View>
    //   )
    // },
    {
      key: '3',
      label: '规则',
      children: (
        <EditRule />
      )
    },
  ]
  useLoad(()=> {
    console.log(profileId, $instance)
    profileId && fetchCharacter(profileId)
  })

  return (
    <PageCustom bgColor='global-light-green-bg'>
      <NavBarNormal onNavBack={handleNavBack}>对话</NavBarNormal>
      <View className='flex flex-col items-center w-full'>
        <View className={`${editorStyle.container}`}>
          {currentCharacter && <WemetaTabs full list={tabList} current='1'></WemetaTabs>}
        </View>
      </View>
    </PageCustom>
  )
}
