import { useState } from "react";
import { View } from "@tarojs/components";

import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import editorStyle from "../editor.module.less";
import { useComponentStore } from '@/store/componentStore'
import { useCharacterStore } from '@/store/characterStore'
import WemetaTextarea from "@/components/wemeta-textarea/index";
import Taro, {useRouter, useUnload} from "@tarojs/taro";
export default function Index() {
  const router = useRouter();
  const { id } = router.params;
  let currentComponent = useComponentStore((state)=>  state.currentComponent);
  const character = useCharacterStore((state)=> state.character);
  const loading = useComponentStore((state)=> state.loading);
  const { saveComponent } = useComponentStore();
  const [value, setValue] = useState(currentComponent?.data?.text ?? '');
  
  const handleSave = async () => {
    if(loading){
      return
    }
    if(value.length <= 0){
      return;
    }
    // const c = {
    //   data: {
    //     text: value,
    //     layout: radioValue,
    //   },
    //   enabled: currentComponent?.enabled ?? true,
    //   id: currentComponent?.id,
    //   name: currentComponent?.name ?? "姓名",
    //   index: currentComponent?.index,
    //   characterProfileId: currentComponent?.characterProfileId ?? character?.profileId,
    //   type: "title",
    // };

    
    // await saveComponent(c)
  };

  const onChange = (e: any) => {
    setValue(e);
  };
  

  

  const handleNavBack = async () => {
    await handleSave()
  }
  
  

  return (
    <PageCustom>
      <NavBarNormal backText="人设"></NavBarNormal>
      <View className="flex flex-col items-center w-full">
        <View className={editorStyle.container}>
          <View
            className={`${editorStyle.textInputContainer} ${editorStyle.underline}`}
          >
            <WemetaTextarea
              value={value}
              onBlur={(value: string) => onChange(value)}
              onInput={(value: string) => onChange(value)}
              placeholder="示例：你是一位汽车销售人员，拥有专业的汽车相关知识，善于耐心的解答客户提出的每一个问题，并会主动邀请客户上门试驾。"
              autoFocus
              ai
            />
          </View>
        </View>
        <View className="bottom-bar">
          <View className="pt-12 px-20">
            <View className={`button-rounded button-primary`}>保存</View>
          </View>
        </View>
      </View>
    </PageCustom>
  );
}
