/**
 * 知识库
 */

import { Text, View } from "@tarojs/components";

import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import FigureListItem from "@/components/list/figure-list-item";
import IconFIleTxt from "@/components/icon/IconFIleTxt";
import IconEye from "@/components/icon/IconEye";
import IconA from "@/components/icon/IconA";
import IconQ from "@/components/icon/IconQ";
import WemetaSwitch from "@/components/wemeta-switch";
import { useState } from "react";
import CardEditable from "@/components/card/card-editable/index";
import Taro from "@tarojs/taro";

export default function Index() {
  const [checked, setChecked] = useState(false);
  const handleEdit = ()=> {
    Taro.navigateTo({
      url: '/pages/knowledge-item-editor/index'
    })
  }
  return (
    <PageCustom>
      <NavBarNormal backText="知识库"></NavBarNormal>
      <View className="w-full">
        <View className="p-16">
          <View className="mb-16">
            <FigureListItem
              figure={IconFIleTxt}
              rightRenderer={() => (
                <View>
                  <IconEye />
                </View>
              )}
            >
              <View className="flex flex-col flex-1 gap-2 w-full">
                <View className="text-14 leading-22">飞秒小知识</View>
                <View className="text-12 leading-20 text-gray-45">
                  03-24 12:20 | 822.KB
                </View>
              </View>
            </FigureListItem>
          </View>
          <View className="flex rounded-12 p-16 gap-16 bg-white">
            <View className="flex-1">
              <View className="text-14 font-medium leading-22 text-black pb-2">
                个人知识
              </View>
              <View className="text-12 leading-20 text-gray-45">
                使用你上传的内容（如文档、链接等）作为智能体回答的知识基础。
              </View>
            </View>

            <View className="flex-center">
              <WemetaSwitch
                checked={checked}
                onChange={(checked) => setChecked(checked)}
              ></WemetaSwitch>
            </View>
          </View>
        </View>
        <View>
          <View className="rounded-container-header">
            <View className="text-14 font-medium leading-22 px-16 pb-16">
              问答列表共<Text className="text-primary">10</Text>条
            </View>
          </View>
          <View className="flex flex-col gap-16 px-16">
            <CardEditable buttons={[<View>删除</View>, <View onClick={handleEdit}>编辑</View>]}>
              <View className="flex items-start mb-8 gap-8">
                <View className="flex-center h-28"><IconQ/></View>
                <View className="flex-1 font-medium text-14 leading-28">你们医院可以做哪些近视手术？</View>
              </View>

              <View className="flex items-start gap-8">
                <View className="flex-center  h-28"><IconA/></View>
                <View className="flex-1 text-12 leading-20 text-gray-45">我们医院目前开展的近视手术包括：全飞秒SMILE、半飞秒LASIK、ICL人工晶体植入术等。医生会根据您的角膜厚度、度数、眼部条件推荐最适合您的手术方式。</View>
              </View>

            </CardEditable>
          </View>
        </View>
        <View className="bottom-bar">
          <View className="flex gap-8 px-20 py-12">
            <View className="button-rounded button-plain button-warn w-88">删除</View>
            <View className="button-rounded button-primary flex-1">共享到企业知识</View>
          </View>
        </View>
      </View>
    </PageCustom>
  );
}
