import { Image, View } from "@tarojs/components";
import RoundedLabel from "../rounded-label";
import IconFilterFeeds from "@/components/icon/IconFilterFeeds";
import IconFilterBatch from "@/components/icon/IconFilterBatch";
import IconFilterList from "@/components/icon/IconFilterList";

import IconFIleTxt from "@/components/icon/IconFIleTxt";
import IconFIlePDF from "@/components/icon/IconFIlePDF";
import IconFIleXLSX from "@/components/icon/IconFIleXLSX";

import FigureList from "@/components/list/figure-list";
import FigureListItem from "@/components/list/figure-list-item";

import Popup from "@/components/popup/popup";
import WemetaSwitch from "@/components/wemeta-switch";
import { useEffect, useState } from "react";

import ViewStyleChat from '../view-style/ViewStyleChat'
import ViewStyleList from '../view-style/ViewStyleList'

type TListStyle = "chat" | "list";

const Index = () => {
  
  const [checked, setChecked] = useState(false);
  const [showPopup, setShowPopup] = useState(false);
  const [listStyle, setListStyle] = useState<TListStyle>("chat");

  const handleListStyleChange = (listStyle: TListStyle) => {
    setListStyle(listStyle);
  };

  

  useEffect(() => {
    console.log("hellow");
  }, []);

  return (
    <>
      <View className="pt-12">
        <View className="rounded-container-header"></View>
        <View className="px-16 pb-20">
          <View className="flex items-center">
            <View className="flex-1 text-12 leading-20 text-gray-45">
              共102个文件
            </View>
            <View className="flex items-center">
              {listStyle === "chat" ? (
                <RoundedLabel
                  onClick={() => setShowPopup(true)}
                  text="信息流"
                  icon={IconFilterFeeds}
                ></RoundedLabel>
              ) : (
                <>
                  <RoundedLabel
                    onClick={() => {
                      console.log("batch");
                    }}
                    text="批量"
                    icon={IconFilterBatch}
                  ></RoundedLabel>
                  <RoundedLabel
                    text="列表"
                    icon={IconFilterList}
                  ></RoundedLabel>
                </>
              )}
            </View>
          </View>
        </View>
        <View className="px-16">
          {listStyle === "chat" ? <ViewStyleChat/> : <ViewStyleList />}
        </View>
      </View>
      
      <Popup setShow={setShowPopup} show={showPopup} title="展示样式">
        <View
          className={`rounded-card ${
            listStyle === "chat" ? "rounded-card-actived" : ""
          }`}
          onClick={() => {
            handleListStyleChange("chat");
          }}
        >
          <View className="border-bottom1-gray mb-12">
            <View className="mb-8 text-14 font-medium leading-22">
              对话信息流
            </View>
            <View className="mb-12 text-12 leading-20 text-gray-45">
              以对话形式展示，模拟自然的对话流程。
            </View>
          </View>
          <View className="flex items-center">
            <View className="flex-1 text-14 font-medium leading-22">
              仅显示 AI 助手信息
            </View>
            <WemetaSwitch
              checked={checked}
              onChange={(checked) => setChecked(checked)}
            ></WemetaSwitch>
          </View>
        </View>
        <View
          className={`rounded-card ${
            listStyle === "list" ? "rounded-card-actived" : ""
          }`}
          onClick={() => {
            handleListStyleChange("list");
          }}
        >
          <View className="mb-8 text-14 font-medium leading-22">列表形式</View>
          <View className="mb-12 text-12 leading-20 text-gray-45">
            将知识点以简洁列表呈现，清晰快速地提供信息。
          </View>
        </View>
      </Popup>
    </>
  );
};

export default Index;
