import { Image, View } from "@tarojs/components";
import MessageRobotRich from "@/components/chat-message/MessageRobotRich";
import MessageRich from "@/components/chat-message/MessageRich";
import { WelcomeCard, AddSuccessfulTips } from "../asistant-message";

import IconFIleTxt from "@/components/icon/IconFIleTxt";
import IconFIlePDF from "@/components/icon/IconFIlePDF";
import IconFIleXLSX from "@/components/icon/IconFIleXLSX";

import FigureList from "@/components/list/figure-list";
import FigureListItem from "@/components/list/figure-list-item";

import { useEffect, useState } from "react";

import RotateLoading from "@/components/rotate-loading";
import Taro from "@tarojs/taro";

const Index = () => {
  const handleEdit = ()=> {
    Taro.navigateTo({
      url: '/pages/knowledge-item/index'
    })
  }
  const rightRenderer = () => {
    return (
      <View className="flex items-center gap-4">
        <RotateLoading />
        <View className="text-primary text-12">解析中</View>
      </View>
    );
  };

  return (
    <View>
      <FigureList>
        <FigureListItem
          figure={IconFIleTxt}
          underline
          arrow
          onClick={handleEdit}
        >
          <View className="flex flex-col flex-1 gap-2 w-full">
            <View className="text-14 leading-22">飞秒小知识</View>
            <View className="text-12 leading-20 text-gray-45">
              03-24 12:20 | 822.KB
            </View>
          </View>
        </FigureListItem>
        <FigureListItem
          figure={IconFIlePDF}
          rightRenderer={rightRenderer}
        >
          <View className="flex flex-col flex-1 gap-2 w-full">
            <View className="text-14 leading-22">飞秒小知识.pdf</View>
            <View className="text-12 leading-20 text-gray-45">
              03-24 12:20 | 822.KB
            </View>
          </View>
        </FigureListItem>
      </FigureList>
    </View>
  );
};

export default Index;
