import { View } from "@tarojs/components";
import ListRow from "@/components/list/list-row";
import { useUserStore } from "@/store/userStore";
import { EBindKind } from "@/consts/enum";
import AuthPhone from '@/components/auth-phone/index'

export default () => {
  const { fetchUser } = useUserStore();
  const user = useUserStore((state) => state.user);
  const handleGetPhoneNumber = async (
    phone: string
  ) => {
    if (phone?.length) {
      fetchUser();
    }
  };

  const renderRight = () => {

    if (user?.phone) {
      // 包含了区号，提取后11位手机号
      return <View className="text-gray-45 text-14 font-normal">{user.phone.slice(-11)}</View>;
    }

    return (
      <AuthPhone bindKind={EBindKind.WechatPhone} getPhoneNumber={handleGetPhoneNumber}></AuthPhone>
    );
  };

  return (
    <ListRow
      emoji="🧑‍💻"
      label="账户信息"
      arrow={false}
      rightRenderer={renderRight}
    ></ListRow>
  );
};
