import { memo } from "react";
import { View, Image } from '@tarojs/components'
import style from '../../index.module.less'
import Taro from "@tarojs/taro";
import IconEye24 from "@/images/icon-eye-24.png";
import IconStyle from "@/images/icon-style.png";
export default  memo(({ onShowBgStyle, profileId }: {
  onShowBgStyle: () => void;
  profileId?: string;
}) => {
  return (
    <View className={`${style.bottomNavBar} overflow-x-hidden box-border`}>
      <View className={style.bottomNavBarInner}>
        <View className={style.navItem} onClick={onShowBgStyle}>
          <Image src={IconStyle} className={style.navItemIcon}></Image>
          <View className={style.navItemText}>背景设定</View>
        </View>
        <View
          className={style.navItem}
          onClick={() => {
            Taro.navigateTo({
              url: `/pages/profile/index?profileId=${profileId}&preview=true`,
            });
          }}
        >
          <Image src={IconEye24} className={style.navItemIcon}></Image>
          <View className={style.navItemText}>效果预览</View>
        </View>
      </View>
    </View>
  );
});