import { memo } from "react";
import { View, Image } from '@tarojs/components'
import style from '../../index.module.less'
import Taro from "@tarojs/taro";
export default memo(({ statusBarHeight, customBgImg, onNav2SetChat }: {
  statusBarHeight: number;
  customBgImg: string
  onNav2SetChat: () => void;
}) => {
  return (
    <View
      className={`${customBgImg ? '':'global-gray-bg'} ${style.tabButtons}`}
      style={{ top: `${statusBarHeight}px` }}
    >
      <View className={`${style.tabButtonActived}`}>内容与排版</View>
      <View className={`${style.tabButton}`} onClick={onNav2SetChat}>
        智能对话
      </View>
      <View
        className={`${style.tabButton}`}
        onClick={() => {
          Taro.navigateTo({ url: "/pages/knowledge/index" });
        }}
      >
        专业知识
      </View>
    </View>
  );
});