import { View } from "@tarojs/components";
import { useAppStore } from "@/store/appStore";
import Popup from "@/components/popup/popup";
import { useState } from "react";
import style from './index.module.less';
import QrcodeUploadTips from "@/components/qrcode-upload-tips";
interface IProps {
  show: boolean;
  setShow: (show: boolean) => void;
}
export default ({ show, setShow }: IProps) => {
  
  return (
    <View className="relative">
      <Popup setShow={setShow} show={show} title="二维码">
        <View className={style.container}>
          <View className={style.card}>
            <QrcodeUploadTips />
          </View>
          <View className={style.bottomButtons}>
            <View className="pr-16">替换</View>
            <View className="text-gray-25">|</View>
            <View className="pl-16">清空</View>
          </View>
        </View>
      </Popup>
    </View>
  );
};
