import { View } from "@tarojs/components";
import style from "./index.module.less";
import TagCertificated from "@/components/tag-certificated";

import IconPhoneGray from "@/components/icon/icon-phone-gray";
import IconMailGray from "@/components/icon/icon-mail-gray";
import IconLocationGray from "@/components/icon/icon-location-gray";
import IconQRCodeGray from "@/components/icon/icon-qrcode-gray";
import IconPlusBlue from "@/components/icon/icon-plus-blue";
import { useAppStore } from "@/store/appStore";
import Popup from "@/components/popup/popup";
import { useState } from "react";
import WemetaTabs from "@/components/wemeta-tabs/index";
interface IProps {
  show: boolean;
  setShow: (show: boolean) => void;
}
export default ({ show, setShow }: IProps) => {
  const tabList = [
    {
      key: "1",
      label: "个人",
      children: (
        <>
          <View className="pt-12">
            <View className={style.tabContainer}>
              <View className={style.card}>
                <View className="flex items-start mb-24">
                  <View className="flex flex-col flex-1">
                    <View className="flex items-end gap-8 text-gray-65">
                      <View className="text-20 font-medium leading-28 text-black">
                        张三
                      </View>
                      <View className="text-12 leading-20">销售医师</View>
                    </View>
                    <View className="flex items-center gap-2">
                      <View className="text-12 leading-20 truncate max-w-[188px]">
                        北京茗视光眼科医院管理有限公司
                      </View>
                      <TagCertificated />
                    </View>
                  </View>
                </View>
                <View className={style.icons}>
                  <View className={style.icon}>
                    <IconPhoneGray />
                  </View>
                  <View className={style.icon}>
                    <IconMailGray />
                  </View>
                  <View className={style.icon}>
                    <IconLocationGray />
                  </View>
                  <View className={style.icon}>
                    <IconQRCodeGray />
                  </View>
                </View>
              </View>
              <View className={style.cardActive}>
                <View className="flex items-start mb-24">
                  <View className="flex flex-col flex-1">
                    <View className="flex items-end gap-8 text-gray-65">
                      <View className="text-20 font-medium leading-28 text-black">
                        张三
                      </View>
                      <View className="text-12 leading-20">销售医师</View>
                    </View>
                    <View className="flex items-center gap-2">
                      <View className="text-12 leading-20 truncate max-w-[188px]">
                        北京茗视光眼科医院管理有限公司
                      </View>
                      <TagCertificated />
                    </View>
                  </View>
                </View>
                <View className={style.icons}>
                  <View className={style.icon}>
                    <IconPhoneGray />
                  </View>
                  <View className={style.icon}>
                    <IconMailGray />
                  </View>
                  <View className={style.icon}>
                    <IconLocationGray />
                  </View>
                  <View className={style.icon}>
                    <IconQRCodeGray />
                  </View>
                </View>
              </View>
              <View className={style.card}>
                <View className="flex items-start mb-24">
                  <View className="flex flex-col flex-1">
                    <View className="flex items-end gap-8 text-gray-65">
                      <View className="text-20 font-medium leading-28 text-black">
                        张三
                      </View>
                      <View className="text-12 leading-20">销售医师</View>
                    </View>
                    <View className="flex items-center gap-2">
                      <View className="text-12 leading-20 truncate max-w-[188px]">
                        北京茗视光眼科医院管理有限公司
                      </View>
                      <TagCertificated />
                    </View>
                  </View>
                </View>
                <View className={style.icons}>
                  <View className={style.icon}>
                    <IconPhoneGray />
                  </View>
                  <View className={style.icon}>
                    <IconMailGray />
                  </View>
                  <View className={style.icon}>
                    <IconLocationGray />
                  </View>
                  <View className={style.icon}>
                    <IconQRCodeGray />
                  </View>
                </View>
              </View>
              <View className="button-rounded button-primary-light gap-8 mb-15">
              <IconPlusBlue />
              <View>创建新的智能体</View>
            </View>
            </View>
          </View>
        </>
      ),
    },
    {
      key: "2",
      label: "企业",
      children: (
        <>
          <View className="pt-12">
            <View className={style.tabContainer}>
              <View className={style.card}>
                <View className="flex flex-col items-center">
                  <View className="text-16 leading-24 font-medium mb-4">你还没有企业配置的名片</View>
                  <View className="text-12 text-gray-45 leading-20 mb-24">企业小蓝本由公司创建并授权，可引用企业知识内容</View>
                  <View className="text-primary font-medium leading-22">联系我们</View>
                </View>
              </View>
            </View>
          </View>
        </>
      ),
    },
  ];
  return (
    <View className="relative">
      <Popup setShow={setShow} show={show} title="小蓝本">
        <WemetaTabs current="1" list={tabList}></WemetaTabs>
      </Popup>
    </View>
  );
};
