import WemetaTabs from "@/components/wemeta-tabs/index";
import VoicePlayerBar, { IVoicePlayerBar } from "@/components/voice-player-bar";
import SystemVoice from "./components/system-voice";
import MyVoice from "./components/my-voice/index";
import { TServiceAudioModel } from "@/types";
import { View, ScrollView } from "@tarojs/components";
import { useRouter } from "@tarojs/taro";
import React, { useRef, useState } from "react";
import NavBarNormal from "@/components/nav-bar-normal/index";
import style from "./index.module.less";
import PageCustom from "@/components/page-custom/index";

interface Props {}
type ExtendedTServiceAudioModel = TServiceAudioModel & { checked: boolean };
const VoiceTabs: React.FC<Props> = ({}) => {
const playerRef = useRef<IVoicePlayerBar>(null);
const [sysVoice, setSysVoice] = useState<ExtendedTServiceAudioModel | null>(
    null
  );

  const [voiceName, setVoiceName] = useState("");
  const [voiceAlias, setVoiceAlias] = useState("");
  const [voiceIdx, setVoiceIdx] = useState(-1);
  const router = useRouter();
  const profileId = router.params.profileId || "";

  const tabList = [
    {
      label: "我的",
      key: "1",
      children: (
        <View className={style.tabContent}>
          <MyVoice profileId={profileId}></MyVoice>
        </View>
      ),
    },
    {
      label: "全部",
      key: "2",
      children: (
        <View className={style.tabContent}>
          <ScrollView
            scrollY
            id="scrollView"
            style={{
              flex: 1,
              height: "100%", // 高度自适应
            }}
          >
            <View className="px-16 py-12">
              <SystemVoice
                profileId={profileId}
                onPlay={(item) => {
                  handlePlayAction(item, "system");
                }}
              ></SystemVoice>
            </View>
          </ScrollView>
        </View>
      ),
    },
    {
      label: "女声",
      key: "3",
      children: (
        <View className={style.tabContent}>
          <View>我的</View>
        </View>
      ),
    },
    {
      label: "男声",
      key: "4",
      children: (
        <View className={style.tabContent}>
          <View>我的</View>
        </View>
      ),
    },
  ];

  const handlePlayAction = (voiceItem: any, type: "system" | "cloned") => {
    if (type == "system") {
      setVoiceName("");
      setVoiceAlias("");
      setVoiceIdx(-1);

      setSysVoice(voiceItem);
      playerRef.current && playerRef.current.play(voiceItem.voice);
    } else {
      setSysVoice(null);
      setVoiceName(voiceItem.voiceName);
      setVoiceAlias(voiceItem.voiceAlias);
      setVoiceIdx(voiceItem.voiceIndex);
      playerRef.current && playerRef.current.play(voiceItem.voiceName);
    }
  };

  return (
    <PageCustom>
      <NavBarNormal backText="声音"></NavBarNormal>
      <View className={style.container}>
        <View className={style.playContainer}>
          <VoicePlayerBar
            ref={playerRef}
            voiceItem={sysVoice}
            voiceName={voiceName}
            voiceNameText={voiceIdx == -1 ? "" : voiceAlias}
          />
        </View>
        <View className={style.voiceTab}>
          <WemetaTabs
            full
            list={tabList}
            current="1"
            tabStyle="outline"
          ></WemetaTabs>
        </View>
      </View>
    </PageCustom>
  );
};

export default VoiceTabs;
