/**
 * 组件相关接口
 */
import { service } from '@/utils/http'
import type { TEntityComponent } from '@/types/index'

export interface ComponentRequest {
  data?: { [key: string]: any };
  enabled?: boolean;
  id?: number;
  name?: string;
  order?: number;
  /**
   * Type 组件类型
   */
  type?: string;
  [property: string]: any;
}

export const saveComponent = (data: ComponentRequest) => {
  return service.post<ComponentRequest, TEntityComponent>('/v1/component', data)
}

export const saveComponentBatch = (data: ComponentRequest[]) => {
  return service.put<ComponentRequest[], TEntityComponent[]>('/v1/component/batch', data)
}

export const getComponentList = (profileID: string) => {
  return service.get<TEntityComponent[]>('/v1/component', {params: {
    profileId: profileID,
  }})
}
export const getComponent = (id: number) => {
  return service.get<TEntityComponent[]>(`/v1/component/${id}`)
}
export const delComponent = (id: number) => {
  return service.delete<TEntityComponent[]>(`/v1/component/${id}`)
}

export const sortComponent = (data: TEntityComponent[]) => {
  return service.put<TEntityComponent[],TEntityComponent[] >('/v1/component/sort', data)
}