/**
 * 组件相关接口
 */
import { service } from '@/utils/http'
import type { IPageParams, IContactModel } from '@/types/index'

export type TNewContact = {
  alias?: string;
  contactProfileId?: number;
}
export type TDeleteContact = {
  id: number;
  contactProfileId: number;
}

export const saveContact = (data: TNewContact) => {
  return service.post<TNewContact, IContactModel>('/v1/contact', data)
}

export const getContactList = (data: IPageParams) => {
  return service.get<IContactModel[]>('/v1/contact', {params: {
    ...data
  }})
}
export const searchContact = (str: string) => {
  return service.get<IContactModel[]>(`/v1/contact/search`, {params: {s: str}})
}
export const delContact = (contactProfileId: string) => {
  return service.delete(`/v1/contact/${contactProfileId}`)
}