/**
 * 组件相关接口
 */
import { service } from '@/utils/http'
import type { IPageParams, IEntityDocument, IDocumentReq } from '@/types/index'



export const createDocument = (data: IDocumentReq) => {
  return service.post<IDocumentReq, IEntityDocument>('/v1/document', data)
}

export const getDocumentList = (data: IPageParams) => {
  return service.get<IEntityDocument[]>('/v1/document', {params: data})
}
export const deleteDocument = (id: number) => {
  return service.delete(`/v1/document/${id}`)
}
