import { service } from '@/utils/http'
import { TWeeklyChatStatistics, TEntityChatSession, IPageParams, TEntityChatSessionRecord } from '@/types/index'

export const getWeeklyStats = () => {
  return service.get<TWeeklyChatStatistics>('/v1/stats/weekly')
}
export const getChatHistories = (data: IPageParams) => {
  return service.get<TEntityChatSession[]>('/v1/stats/chat/histories', {params: data})
}
export const getChatRecords = (sessionId: string) => {
  return service.get<TEntityChatSessionRecord[]>(`/v1/stats/chat/${sessionId}/records`)
}
