import { create } from 'zustand'
import { getUser, putUser } from '@/service/user'
import { TEntityUser } from '@/types/index'
export interface UserState {
  user: TEntityUser | null
  fetchUser: ()=> void
  saveUser: (user: TEntityUser)=> Promise<TEntityUser | null>
}

export const useUserStore = create<UserState>((set) => ({
  user: null,
  fetchUser: async () => {
    const res = await getUser()
    set({ user: res.data})
  },
  saveUser: async (user: TEntityUser) => {
    const res = await putUser(user)
    if(res.data){
      set({ user: res.data})
      return res.data
    }
    return null
  }
}))