import { useState } from "react";
import useSWR from "swr";
export const useLoadMore = <T>({url, fetcher,  pageSize = 10} : {
  url: string,
  fetcher: any,
  pageSize?: number,

}) => {
  const [page, setPage]  = useState(1)
  // 使用 useSWR
  const { data, error, isLoading, mutate } = useSWR<T>(
    // key 数组，当这些值变化时会重新请求
    [url, page, pageSize],
    fetcher
  )

  // 加载更多数据
  const loadMore = () => {
    if(data){
      setPage(prev => prev + 1)
    }
  }

  const refetch = async () => {
    setPage(1)
    mutate([], true); // false 表示不重新请求
  }

  

  return {
    page,
    setPage,
    data,
    error,
    isLoading,
    mutate,
    loadMore,
    refetch,
  }
}